| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Macros | Functions
gzlib.c File Reference
`#include "gzguts.h"`

Go to the source code of this file.

## Macros
#define | LSEEK lseek

## Functions
local void gz_reset | OF ((gz_statep))
local gzFile gz_open | OF ((const char *, int, const char *))
local void | gz_reset (gz_statep state)
local gzFile | gz_open (char *path, int fd, const char *mode) const
gzFile ZEXPORT | gzopen (char *path, const char *mode) const
gzFile ZEXPORT | gzopen64 (char *path, const char *mode) const
gzFile ZEXPORT | gzdopen (int fd, const char *mode)
int ZEXPORT | gzbuffer (gzFile file, unsigned size)
int ZEXPORT | gzrewind (gzFile file)
z_off64_t ZEXPORT | gzseek64 (gzFile file, z_off64_t offset, int whence)
z_off_t ZEXPORT | gzseek (gzFile file, z_off_t offset, int whence)
z_off64_t ZEXPORT | gztell64 (gzFile file)
z_off_t ZEXPORT | gztell (gzFile file)
z_off64_t ZEXPORT | gzoffset64 (gzFile file)
z_off_t ZEXPORT | gzoffset (gzFile file)
int ZEXPORT | gzeof (gzFile file)
const char *ZEXPORT | gzerror (gzFile file, int *errnum)
void ZEXPORT | gzclearerr (gzFile file)
void ZLIB_INTERNAL | gz_error (gz_statep state, int err, const char *msg)
unsigned ZLIB_INTERNAL | gz_intmax ()

## Macro Definition Documentation

#define LSEEK lseek

Definition at line 11 of file gzlib.c.

## Function Documentation

void ZLIB_INTERNAL gz_error | ( | gz_statep | state,
|  | int | err,
|  | const char * | msg
| ) |  |

Definition at line 485 of file gzlib.c.

unsigned ZLIB_INTERNAL gz_intmax | ( |  | ) |

Definition at line 525 of file gzlib.c.

local gzFile gz_open | ( | char * | path,
|  | int | fd,
|  | const char * | mode
| ) |  | const

Definition at line 87 of file gzlib.c.

local void gz_reset | ( | gz_statep | state | ) |

Definition at line 71 of file gzlib.c.

int ZEXPORT gzbuffer | ( | gzFile | file,
|  | unsigned | size
| ) |  |

Definition at line 228 of file gzlib.c.

void ZEXPORT gzclearerr | ( | gzFile | file | ) |

Definition at line 461 of file gzlib.c.

gzFile ZEXPORT gzdopen | ( | int | fd,
|  | const char * | mode
| ) |  |

Definition at line 212 of file gzlib.c.

int ZEXPORT gzeof | ( | gzFile | file | ) |

Definition at line 423 of file gzlib.c.

const char* ZEXPORT gzerror | ( | gzFile | file,
|  | int * | errnum
| ) |  |

Definition at line 441 of file gzlib.c.

z_off_t ZEXPORT gzoffset | ( | gzFile | file | ) |

Definition at line 413 of file gzlib.c.

z_off64_t ZEXPORT gzoffset64 | ( | gzFile | file | ) |

Definition at line 390 of file gzlib.c.

gzFile ZEXPORT gzopen | ( | char * | path,
|  | const char * | mode
| ) |  | const

Definition at line 196 of file gzlib.c.

gzFile ZEXPORT gzopen64 | ( | char * | path,
|  | const char * | mode
| ) |  | const

Definition at line 204 of file gzlib.c.

int ZEXPORT gzrewind | ( | gzFile | file | ) |

Definition at line 253 of file gzlib.c.

z_off_t ZEXPORT gzseek | ( | gzFile | file,
|  | z_off_t | offset,
|  | int | whence
| ) |  |

Definition at line 351 of file gzlib.c.

z_off64_t ZEXPORT gzseek64 | ( | gzFile | file,
|  | z_off64_t | offset,
|  | int | whence
| ) |  |

Definition at line 275 of file gzlib.c.

z_off_t ZEXPORT gztell | ( | gzFile | file | ) |

Definition at line 380 of file gzlib.c.

z_off64_t ZEXPORT gztell64 | ( | gzFile | file | ) |

Definition at line 363 of file gzlib.c.

local void gz_reset OF | ( | (gz_statep) |  | ) |

local gzFile gz_open OF | ( | (const char *, int, const char *) |  | ) |